ClosureWriter (Groovy 2.4.9)
Date: 2017-02-24

org.codehaus.groovy.classgen.asm

## Class ClosureWriter

- java.lang.Object
- - org.codehaus.groovy.classgen.asm.ClosureWriter

- Direct Known Subclasses:
    StaticTypesClosureWriter

      public class ClosureWriter
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static interface` | `ClosureWriter.UseExistingReference`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClosureWriter(WriterController wc)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `addGeneratedClosureConstructorCall(ConstructorCallExpression call)`
    `protected ClassNode` | `createClosureClass(ClosureExpression expression, int mods)`
    `protected Parameter[]` | `getClosureSharedVariables(ClosureExpression ce)`
    `ClassNode` | `getOrAddClosureClass(ClosureExpression expression, int mods)`
    `static void` | `loadReference(String name, WriterController controller)`
    `void` | `writeClosure(ClosureExpression expression)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ClosureWriter

          public ClosureWriter(WriterController wc)

  - ### Method Detail

    - #### writeClosure

          public void writeClosure(ClosureExpression expression)

    - #### loadReference

          public static void loadReference(String name,
                                           WriterController controller)

    - #### getOrAddClosureClass

          public ClassNode getOrAddClosureClass(ClosureExpression expression,
                                                int mods)

    - #### createClosureClass

          protected ClassNode createClosureClass(ClosureExpression expression,
                                                 int mods)

    - #### addGeneratedClosureConstructorCall

          public boolean addGeneratedClosureConstructorCall(ConstructorCallExpression call)

    - #### getClosureSharedVariables

          protected Parameter[] getClosureSharedVariables(ClosureExpression ce)